#!/system/bin/sh
#
# del link in the autorun tab
#
# malez @2010
#

FS=/data
DIRECTORY=${FS}/runOnce

usage(){
        echo "Usage : $0 alias"
	echo "FILE is an absolute path to the script to lauch"
	echo "alias is the name script will be called as in $DIRECTORY"
	echo "permit to control order of execution"
        exit 1
}

error(){

        echo "Error : $0"
        exit 1
}

if [ a$1 == a ]; then
        usage
fi

# mouting FS read-write
#mount -o remount,rw $FS || error "Unable to remount $FS rw"

rm $DIRECTORY/$1 2>/dev/null && echo "$1 removed"
RET=$?

#mount -o remount,ro $FS || error "Unable to remount $FS ro"
exit $RET

